Upgrade da 33 a 34

Per cancellare il repo copr

sudo dnf copr remove dirkdavidis/papirus-icon-theme

se invece lo vuoi solo disabilitare

$ sudo dnf copr disable dirkdavidis/papirus-icon-theme

Il repo adobe-linux-x86_64 è già disabilitato, se preferisci puoi cancellare anche il corrispondente file .repo in /etc/yum.repos.d/

$ sudo rm /etc/yum.repos.d/adobe-linux-x86_64.repo

Per quanto riguarda un possibile controllo post-upgrade, verifica eventuali cambiamenti a certi file di configurazione con

$ sudo rpmconf -a

Ciao, ho provveduto alla cancellazione ed alla rimozione dei 2 repo come da te segnalato ed avvenuto con successo. Di seguito riporto il responso di:

[[email protected] skiava]# rpmconf -a
bash: rpmconf: command not found...
Install package 'rpmconf' to provide command 'rpmconf'? [N/y] y


 * Waiting in queue... 
 * Loading list of packages.... 
The following packages have to be installed:
 python3-rpmconf-1.1.3-2.fc34.noarch	Python interface for rpmconf
 rpmconf-1.1.3-2.fc34.noarch	Tool to handle rpmnew and rpmsave files
 rpmconf-base-1.1.3-2.fc34.noarch	Filesystem for rpmconf
Proceed with changes? [N/y] y


 * Waiting in queue... 
 * Waiting for authentication... 
 * Waiting in queue... 
 * Downloading packages... 
 * Requesting data... 
 * Testing changes... 
 * Installing packages... 
Configuration file '/etc/shells'
-rw-r--r--. 1 root root  44 16 apr  2018 /etc/shells.rpmnew
-rw-r--r--. 1 root root 100 25 apr  2018 /etc/shells

 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep your current version.
*** aliases (Y/I/N/O/D/M/Z/S) [default=N] ? 
Your choice: Configuration file '/etc/nsswitch.conf'
-rw-r--r--. 1 root root 2108 16 gen  2021 /etc/nsswitch.conf.rpmnew
-rw-r--r--. 1 root root  532  6 ott 14.28 /etc/nsswitch.conf

 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep your current version.
*** aliases (Y/I/N/O/D/M/Z/S) [default=N] ? 
Your choice: Configuration file '/etc/nsswitch.conf'
-rw-r--r--. 1 root root 2108 16 gen  2021 /etc/nsswitch.conf.rpmnew
-rw-r--r--. 1 root root  532  6 ott 14.28 /etc/nsswitch.conf

 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep your current version.
*** aliases (Y/I/N/O/D/M/Z/S) [default=N] ? 
Your choice: Configuration file '/etc/pam.d/fingerprint-auth'
lrwxrwxrwx. 1 root root  32 17 lug  2018 /etc/pam.d/fingerprint-auth -> /etc/authselect/fingerprint-auth
-rw-r--r--. 1 root root 617 10 giu 21.22 /etc/pam.d/fingerprint-auth.rpmnew

 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep your current version.
*** aliases (Y/I/N/O/D/M/Z/S) [default=N] ? 
Your choice: Configuration file '/etc/pam.d/password-auth'
lrwxrwxrwx. 1 root root  29 17 lug  2018 /etc/pam.d/password-auth -> /etc/authselect/password-auth
-rw-r--r--. 1 root root 663 10 giu 21.22 /etc/pam.d/password-auth.rpmnew

 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep your current version.
*** aliases (Y/I/N/O/D/M/Z/S) [default=N] ? 
Your choice: Configuration file '/etc/pam.d/postlogin'
lrwxrwxrwx. 1 root root  25 17 lug  2018 /etc/pam.d/postlogin -> /etc/authselect/postlogin
-rw-r--r--. 1 root root 300 10 giu 21.22 /etc/pam.d/postlogin.rpmnew

 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep your current version.
*** aliases (Y/I/N/O/D/M/Z/S) [default=N] ? 
Your choice: Configuration file '/etc/pam.d/smartcard-auth'
lrwxrwxrwx. 1 root root  30 17 lug  2018 /etc/pam.d/smartcard-auth -> /etc/authselect/smartcard-auth
-rw-r--r--. 1 root root 646 10 giu 21.22 /etc/pam.d/smartcard-auth.rpmnew

 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep your current version.
*** aliases (Y/I/N/O/D/M/Z/S) [default=N] ? 
Your choice: Configuration file '/etc/pam.d/system-auth'
lrwxrwxrwx. 1 root root  27 17 lug  2018 /etc/pam.d/system-auth -> /etc/authselect/system-auth
-rw-r--r--. 1 root root 663 10 giu 21.22 /etc/pam.d/system-auth.rpmnew

 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep your current version.
*** aliases (Y/I/N/O/D/M/Z/S) [default=N] ? 
Your choice: Configuration file '/etc/systemd/journald.conf'
-rw-r--r--. 1 root root 1046 27 mag  2019 /etc/systemd/journald.conf
-rw-r--r--. 1 root root 1282  6 ago 16.42 /etc/systemd/journald.conf.rpmnew

 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep your current version.
*** aliases (Y/I/N/O/D/M/Z/S) [default=N] ? 
Your choice: Configuration file '/var/lib/unbound/root.key'
-rw-r--r--. 1 unbound unbound 1251 30 set  2019 /var/lib/unbound/root.key.rpmsave
-rw-r--r--. 1 unbound unbound  759 13 lug 00.01 /var/lib/unbound/root.key

 ==> Package distributor has shipped an updated version.
 ==> Maintainer forced upgrade. Your old version has been backed up.
   What would you like to do about it?  Your options are:
    Y or I  : install (keep) the package maintainer's version
    N or O  : return back to your original file
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep package maintainer's version.
*** aliases (Y/I/N/O/M/D/Z/S) [default=Y] ? 
Your choice: Configuration file '/boot/grub2/grub.cfg'
-rw-rw-r--. 1 root root 6000 30 set  2019 /boot/grub2/grub.cfg.rpmsave
-rw-rw-r--. 1 root root 6482 30 set  2019 /boot/grub2/grub.cfg

 ==> Package distributor has shipped an updated version.
 ==> Maintainer forced upgrade. Your old version has been backed up.
   What would you like to do about it?  Your options are:
    Y or I  : install (keep) the package maintainer's version
    N or O  : return back to your original file
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep package maintainer's version.
*** aliases (Y/I/N/O/M/D/Z/S) [default=Y] ? 
Your choice: Configuration file '/boot/grub2/grub.cfg'
-rw-rw-r--. 1 root root 6000 30 set  2019 /boot/grub2/grub.cfg.rpmsave
-rw-rw-r--. 1 root root 6482 30 set  2019 /boot/grub2/grub.cfg

 ==> Package distributor has shipped an updated version.
 ==> Maintainer forced upgrade. Your old version has been backed up.
   What would you like to do about it?  Your options are:
    Y or I  : install (keep) the package maintainer's version
    N or O  : return back to your original file
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep package maintainer's version.
*** aliases (Y/I/N/O/M/D/Z/S) [default=Y] ? 
Your choice: Configuration file '/etc/cups/cups-browsed.conf'
-rw-r--r--. 1 root root 27136 10 feb  2020 /etc/cups/cups-browsed.conf
-rw-r--r--. 1 root root 30850 21 giu 12.05 /etc/cups/cups-browsed.conf.rpmnew

 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep your current version.
*** aliases (Y/I/N/O/D/M/Z/S) [default=N] ? 
Your choice: Configuration file '/etc/sane.d/dll.conf'
-rw-r--r--. 1 root root 1105  2 set  2019 /etc/sane.d/dll.conf
-rw-r--r--. 1 root root 1128  9 ott  2020 /etc/sane.d/dll.conf.rpmnew

 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep your current version.
*** aliases (Y/I/N/O/D/M/Z/S) [default=N] ? 
Your choice: Configuration file '/boot/grub2/grub.cfg'
-rw-rw-r--. 1 root root 6000 30 set  2019 /boot/grub2/grub.cfg.rpmsave
-rw-rw-r--. 1 root root 6482 30 set  2019 /boot/grub2/grub.cfg

 ==> Package distributor has shipped an updated version.
 ==> Maintainer forced upgrade. Your old version has been backed up.
   What would you like to do about it?  Your options are:
    Y or I  : install (keep) the package maintainer's version
    N or O  : return back to your original file
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep package maintainer's version.
*** aliases (Y/I/N/O/M/D/Z/S) [default=Y] ? 
Your choice: 
[[email protected] skiava]# rpmconf -a
Configuration file '/etc/shells'
-rw-r--r--. 1 root root  44 16 apr  2018 /etc/shells.rpmnew
-rw-r--r--. 1 root root 100 25 apr  2018 /etc/shells

 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep your current version.
*** aliases (Y/I/N/O/D/M/Z/S) [default=N] ? 
Your choice: 

come vedi…mi ha chiesto l’installazione del pacchetto “rpmconf” e dopo averlo eseguito mi chiede…“Yuor Choice:” ma non so come procedere…mi aiuteresti? grazie.

Le azioni predefinite di accettazione o rigetto nella applicazione delle modifiche previste dal mantainer dovrebbero essere essere state già applicate se hai dato “Invio” anche senza specificare ulteriormente la scelta; per i file in esame l’applicazione delle modifiche previste dal mantainer dovrebbe essere sicura se non sei certo di aver effettuato modifiche o personalizzazioni particolari a quei file. Prima di accettare o meno la modifica proposta puoi visualizzare il cambio proposto premendo “D”

Ciao, riporto di seguito l’output di
“rpmconf -a” e dopo aver pigiato la lettera “D” la seguente:

--- /etc/shells Wed Apr 25 08:33:58 2018
+++ /etc/shells.rpmnew  Mon Apr 16 13:42:13 2018
@@ -1,8 +1,4 @@
 /bin/sh
 /bin/bash
-/sbin/nologin
 /usr/bin/sh
 /usr/bin/bash
-/usr/sbin/nologin
-/usr/bin/tmux
-/bin/tmux

non ho fato nessuna modifica o personalizzazioni particolari per quel file…quindi come dovrei proseguire?

Ciao @skiava risposndi ( y ) a ogni domanda :slightly_smiling_face:

Ciao, dopo aver risposto a “y” ad ogni domanda come dovrei procedere?
riporto di seguito il responso di:

[[email protected] skiava]# rpmconf -a
Configuration file '/etc/shells'
-rw-r--r--. 1 root root  44 16 apr  2018 /etc/shells.rpmnew
-rw-r--r--. 1 root root 100 25 apr  2018 /etc/shells

 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep your current version.
*** aliases (Y/I/N/O/D/M/Z/S) [default=N] ? 
Your choice: Y
Configuration file '/etc/nsswitch.conf'
-rw-r--r--. 1 root root 2108 16 gen  2021 /etc/nsswitch.conf.rpmnew
-rw-r--r--. 1 root root  532 20 ott 08.30 /etc/nsswitch.conf

 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep your current version.
*** aliases (Y/I/N/O/D/M/Z/S) [default=N] ? 
Your choice: Y
Configuration file '/etc/pam.d/fingerprint-auth'
lrwxrwxrwx. 1 root root  32 17 lug  2018 /etc/pam.d/fingerprint-auth -> /etc/authselect/fingerprint-auth
-rw-r--r--. 1 root root 617 10 giu 21.22 /etc/pam.d/fingerprint-auth.rpmnew

 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep your current version.
*** aliases (Y/I/N/O/D/M/Z/S) [default=N] ? 
Your choice: Y
Configuration file '/etc/pam.d/password-auth'
lrwxrwxrwx. 1 root root  29 17 lug  2018 /etc/pam.d/password-auth -> /etc/authselect/password-auth
-rw-r--r--. 1 root root 663 10 giu 21.22 /etc/pam.d/password-auth.rpmnew

 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep your current version.
*** aliases (Y/I/N/O/D/M/Z/S) [default=N] ? 
Your choice: y
Configuration file '/etc/pam.d/postlogin'
lrwxrwxrwx. 1 root root  25 17 lug  2018 /etc/pam.d/postlogin -> /etc/authselect/postlogin
-rw-r--r--. 1 root root 300 10 giu 21.22 /etc/pam.d/postlogin.rpmnew

 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep your current version.
*** aliases (Y/I/N/O/D/M/Z/S) [default=N] ? 
Your choice: y
Configuration file '/etc/pam.d/smartcard-auth'
lrwxrwxrwx. 1 root root  30 17 lug  2018 /etc/pam.d/smartcard-auth -> /etc/authselect/smartcard-auth
-rw-r--r--. 1 root root 646 10 giu 21.22 /etc/pam.d/smartcard-auth.rpmnew

 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep your current version.
*** aliases (Y/I/N/O/D/M/Z/S) [default=N] ? 
Your choice: y
Configuration file '/etc/pam.d/system-auth'
lrwxrwxrwx. 1 root root  27 17 lug  2018 /etc/pam.d/system-auth -> /etc/authselect/system-auth
-rw-r--r--. 1 root root 663 10 giu 21.22 /etc/pam.d/system-auth.rpmnew

 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep your current version.
*** aliases (Y/I/N/O/D/M/Z/S) [default=N] ? 
Your choice: y
Configuration file '/var/lib/unbound/root.key'
-rw-r--r--. 1 unbound unbound 1251 30 set  2019 /var/lib/unbound/root.key.rpmsave
-rw-r--r--. 1 unbound unbound  759 13 lug 00.01 /var/lib/unbound/root.key

 ==> Package distributor has shipped an updated version.
 ==> Maintainer forced upgrade. Your old version has been backed up.
   What would you like to do about it?  Your options are:
    Y or I  : install (keep) the package maintainer's version
    N or O  : return back to your original file
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep package maintainer's version.
*** aliases (Y/I/N/O/M/D/Z/S) [default=Y] ? 
Your choice: y
Configuration file '/boot/grub2/grub.cfg'
-rw-rw-r--. 1 root root 6000 30 set  2019 /boot/grub2/grub.cfg.rpmsave
-rw-rw-r--. 1 root root 6482 30 set  2019 /boot/grub2/grub.cfg

 ==> Package distributor has shipped an updated version.
 ==> Maintainer forced upgrade. Your old version has been backed up.
   What would you like to do about it?  Your options are:
    Y or I  : install (keep) the package maintainer's version
    N or O  : return back to your original file
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep package maintainer's version.
*** aliases (Y/I/N/O/M/D/Z/S) [default=Y] ? 
Your choice: y
Configuration file '/etc/cups/cups-browsed.conf'
-rw-r--r--. 1 root root 27136 10 feb  2020 /etc/cups/cups-browsed.conf
-rw-r--r--. 1 root root 30850 21 giu 12.05 /etc/cups/cups-browsed.conf.rpmnew

 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep your current version.
*** aliases (Y/I/N/O/D/M/Z/S) [default=N] ? 
Your choice: y
Configuration file '/etc/sane.d/dll.conf'
-rw-r--r--. 1 root root 1128  9 ott  2020 /etc/sane.d/dll.conf.rpmnew
-rw-rw-r--. 1 root root 1110 22 ott 12.32 /etc/sane.d/dll.conf

 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep your current version.
*** aliases (Y/I/N/O/D/M/Z/S) [default=N] ? 
Your choice: y
Configuration file '/etc/systemd/journald.conf'
-rw-r--r--. 1 root root 1046 27 mag  2019 /etc/systemd/journald.conf
-rw-r--r--. 1 root root 1282  6 ago 16.42 /etc/systemd/journald.conf.rpmnew

 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      M     : merge configuration files
      Z     : background this process to examine the situation
      S     : skip this file
 The default action is to keep your current version.
*** aliases (Y/I/N/O/D/M/Z/S) [default=N] ? 
Your choice: y
[[email protected] skiava]#